org.apache.ignite.internal.processors.datastreamer

## Class DataStreamerEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.datastreamer.DataStreamerEntry

All Implemented Interfaces:
  Serializable, Map.Entry<KeyCacheObject,CacheObject>, Message

Direct Known Subclasses:
  GridCacheRawVersionedEntry

    public class DataStreamerEntry
    extends Object
    implements Map.Entry<KeyCacheObject,CacheObject>, Message

See Also:
  Serialized Form

### Field Summary

Fields
`protected KeyCacheObject` `key`
`protected CacheObject` `val`

### Constructor Summary

Constructors
Constructor and Description
`DataStreamerEntry()`
`DataStreamerEntry(KeyCacheObject key, CacheObject val)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`KeyCacheObject` `getKey()`
`CacheObject` `getValue()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`CacheObject` `setValue(CacheObject val)`
`<K,V> Map.Entry<K,V>` `toEntry(GridCacheContext ctx, boolean keepBinary)`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`equals, hashCode`

### Field Detail

#### key

    @GridToStringInclude
    protected KeyCacheObject key

#### val

    @GridToStringInclude
    protected CacheObject val

### Constructor Detail

#### DataStreamerEntry

    public DataStreamerEntry()

#### DataStreamerEntry

    public DataStreamerEntry(KeyCacheObject key,
                     CacheObject val)

Parameters:
  `key` - Key.
  `val` - Value.

### Method Detail

#### getKey

    public KeyCacheObject getKey()

Specified by:
  `getKey` in interface `Map.Entry<KeyCacheObject,CacheObject>`

#### getValue

    public CacheObject getValue()

Specified by:
  `getValue` in interface `Map.Entry<KeyCacheObject,CacheObject>`

#### setValue

    public CacheObject setValue(CacheObject val)

Specified by:
  `setValue` in interface `Map.Entry<KeyCacheObject,CacheObject>`

#### toEntry

    public <K,V> Map.Entry<K,V> toEntry(GridCacheContext ctx,
                               boolean keepBinary)

Parameters:
  `ctx` - Cache context.
Returns:
  Map entry unwrapping internal key and value.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015